summaryrefslogtreecommitdiffstats
path: root/admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup
diff options
context:
space:
mode:
Diffstat (limited to 'admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup')
-rw-r--r--admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup10
1 files changed, 10 insertions, 0 deletions
diff --git a/admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup b/admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup
new file mode 100644
index 00000000..bb3a848e
--- /dev/null
+++ b/admin/Sources/Clients/ogagent/linux/scripts/OGAgentTool-startup
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Simple hack to wait for systray to be present
+# Exec tool if not already runned by session manager
+ps -ef | grep "$USER" | grep -v grep | grep -v OGAgentTool-startup | grep 'OGAgentTool' -q
+# If not already running
+if [ $? -eq 1 ]; then
+ sleep 5
+ exec /usr/bin/OGAgentTool
+fi \ No newline at end of file